package cz.moneta.test.harness.messaging.model;

import java.util.Objects;

public class Queue extends Destination {

    private final String queueName;
    private final MqMessageFormat format;

    public Queue(String name, String queueName, MqMessageFormat format) {
        super(name, "ibmmq");
        this.queueName = Objects.requireNonNull(queueName, "queueName");
        this.format = Objects.requireNonNull(format, "format");
    }

    public String getQueueName() {
        return queueName;
    }

    public MqMessageFormat getFormat() {
        return format;
    }
}
